
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JavaScript DOM事件(笔记)_javascript技巧 / iVAN</title>

    <meta name="description" content="JavaScript DOM事件(笔记)_javascript技巧 第1章 事件流 1-1.事件冒泡:事件最开始由最具体的元素(文档中嵌套层次最深的那个节点)接收; 然后逐级向上传播至最不具体的那个节点(文档); 1-2.事件捕获:不太具体的节点应该更早接收到事件,而最具体的节点最后接收到事件; 第2章 事件处理程序 2-1 HTML事件处理程序 //缺点:HTML和JS代码紧密的耦合在一起; &lt;input type=&quot;button&quot; value=&quot;按钮&quot; onclick=&quot;showMessage()&qu ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JavaScript DOM事件(笔记)_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>第1章 事件流</strong></p>
<p>1-1.事件冒泡:事件最开始由最具体的元素(文档中嵌套层次最深的那个节点)接收;<br />
然后逐级向上传播至最不具体的那个节点(文档);<br />
1-2.事件捕获:不太具体的节点应该更早接收到事件,而最具体的节点最后接收到事件;</p>
<p><strong>第2章 事件处理程序</strong></p>
<p>2-1 HTML事件处理程序<br />
//缺点:HTML和JS代码紧密的耦合在一起;</p>
<pre>
&lt;input type="button" value="按钮" onclick="showMessage()"&gt;</pre>
<p>2-2 DOM0级事件处理程序</p>
<p>//较传统的方式:把一个函数赋值给一个事件的处理程序属性,用的比较多;<br />
//优点:简单/跨浏览器;</p>
<pre>
&lt;input type="button" value="按钮" id="btn2"&gt;
&lt;script&gt;
  var btn2 = document.getElementById('btn2'); //取得btn2按钮对象;
  btn2.onclick = function () {        //给btn2添加onclick属性;
    alert('这是通过DOM0级添加的事件!');
  }
  btn2.onclick=null;             //删除onclick属性;
&lt;/script&gt;</pre>
<p>2-3 DOM2级事件处理程序</p>
<p>//DOM2级事件定义了两个方法:用于处理指定和删除事件处理程序的操作;<br />
//addEventListener()和removeEventListner();<br />
//接收三个参数:要处理的事件名/事件处理函数和布尔值;<br />
//在IE8一下,不起作用;</p>
<pre>
&lt;input type="button" value="按钮" id="btn3"&gt;
&lt;script&gt;
  var btn3 = document.getElementById('btn3');
  btn3.addEventListener('click',showMessage,false);    //添加事件程序;
  btn3.addEventListener('click',function(){        //添加多个事件程序;
    alert(this.value);
  },false);
  btn3.removeEventListener('click',showMessage,false);  //删除事件程序;
&lt;/script&gt;</pre>
<p>2-4 IE事件处理程序及跨浏览器</p>
<p>//接收两个参数:事件处理函数名称和事件处理函数</p>
<pre>
&lt;script&gt;
   var btn3 = document.getElementById('btn3');
   btn3.attachEvent('onclick',showMessage);      //添加事件;
   btn3.detachEvent('onclick',showMessage);      //删除事件;
&lt;/script&gt;</pre>
<p>&gt;2.浏览器兼容</p>
<pre>
//将添加和删除事件处理程序封装到对象中并赋值给变量'eventUtil';
var eventUtil = {
  //添加句柄
  addHandler:function(element,type,handler){
    //判断DOM2级事件处理程序;
    if(element.addEventListener){
      element.addEventListener(type,handler,false);
    //判断IE浏览器;
    }else if(element.attachEvent){
      element.attachEvent("on"+type,handler);
    //使用DOM0级事件处理程序;
    }else{
      element['on'+type] = handler;
    }
  };
  //删除句柄
  removeHandler:function(element,type,handler){
    //判断DOM2级事件处理程序;
    if(element.removeEventListener){
      element.removeEventListener(type,handler,false);
    //判断IE浏览器;
    }else if(element.detachEvent){
      element.detachEvent("on"+type,handler);
    //使用DOM0级事件处理程序;
    }else{
      element['on'+type] = null;
    };
  };
};
//跨浏览器添加事件处理程序;
eventUtil.addHandler(btn3,'click',showMessage);</pre>
<p><strong>第3章 事件对象</strong></p>
<p>3-1 DOM中的事件对象</p>
<p>//在触发DOM上的事件时都会产生一个对象==event;</p>
<p>&gt;1.type == 获取事件类型;<br />
&gt;2.target == 获取事件目标;<br />
&gt;3.stopPropagation() == 停止事件冒泡;<br />
&gt;4.preventDefault() == 阻止事件的默认行为;</p>
<pre>
function showMes(event){
  alert(event.type);          //onclick;点击事件;
  alert(event.target.nodeName);  　　//INPUT;input按钮被触发;
  event.stopPropagation();      //停止事件冒泡;
}
&lt;a href="event.html" onclick="stopGoto();"&gt;跳转&lt;/a&gt;
function stopGoto(event){
  event.preventDefault();　　　　　　　//阻止默认行为;
}</pre>
<p>3-2 IE中的事件对象</p>
<p>&gt;1.type == 同上;<br />
&gt;2.srcElement属性 == 获取事件目标;<br />
&gt;3.cancleBubble属性 == 阻止冒泡;设置true表示阻止冒泡,false为不组织冒泡;<br />
&gt;4.returnValue属性 == 用于阻止事件的默认行为;</p>
<pre>
function showMes(event){
  //非IE用event,IE8以下用window.event;
  event = event || window.event;
  //事件目标兼容;
  var ele = event.target || event.srcElement;
  //兼容阻止事件冒泡;
  if(event.stopPropagation){
    event.stopPropagation();
  }else{
    event.cancleBubble();
  };
  //兼容取消事件默认行为;
  if(event.preventDefault){
    event.preventDefault();
  }else{
    event.returnValue = false;
  }
}</pre>
<p><strong>第4章 QQ面板拖拽效果</strong></p>
<p>&gt;1.封装获取Class方法</p>
<pre>
function getClass(clsName,parent){
  var oParent = parent?document.getElementById(parent):document,
      eles = [],
      elements = oParent.getElementsByTagName('*');

  for (var i=0,l=elements.length; i&lt;l; i++){
    if(elements[i].className == clsName){
      eles.push(elements[i]);
    }
  }
  return eles;
}</pre>
<p>&gt;2.封装拖拽函数</p>
<pre>
window.onload = drag;
function drag(){
  var oTitle = getClass('login_logo_webqq','loginPanel')[0];
  //拖拽
  oTitle.onmousedown = fnDown;
  //关闭弹窗
  var oClose = document.getElementById('ui_boxyClose');
  oClose.onclick = function(){
    document.getElementById('loginPanel').style.display = 'none';
  }
  //切换状态
  var loginState = document.getElementById('loginstate'),
    stateList = document.getElementById('loginStatePanel'),
    lis = stateList.getElementsByTagName('li'),
    stateTxt = document.getElementById('login2qq_state_txt'),
    loginStateShow = document.getElementById('login-state_show');
  loginState.onclick = function(e){
    //阻止冒泡到document使ul隐藏;
    e = e || window.event;
    if(e.stopPropagation){
      e.stopPropagation();
    }esle{
      e.cancleBubble = true;
    }
    stateList.style.display = "block";
  }
  //鼠标滑过/离开和点击状态列表时
  for(var i=0,i&lt;lis.length,i++){
    lis[i].onmouseover = function(){
      this.style.background = "#567";
    }
    lis[i].onmouseout = function(){
      this.style.background = "#fff";
    }
    lis[i].onclick = function(e){
      //阻止冒泡到loginState使stateList显示;
      e = e || window.event;
      if(e.stopPropagation){
        e.stopPropagation();
      }esle{
        e.cancleBubble = true;
      }
      var id = this.id;
      stateList.style.display = "none";
      stateTxt.innerHTML = getClass('stateSelect_text',id)[0].innerHTML;
      loginStateShow.className = '';
      loginStateShow.className = 'login-state-show '+id;
    }
  }
  document.onclick = function(){
    stateList.style.display = "none";
  }
}
//鼠标按下事件;
function fnDown(event){
  event = event || window.event;
  var oDrag = document.getElementById('loginPanel'),
      //鼠标按下时,鼠标和面板之间的距离;
      disX = event.clientX - oDrag.offsetLeft,
      disY = event.clientY - oDrag.offsetTop;
  //移动
  document.onmouseover = function(event){
    event = event || window.event;
    fnMove(event,disX,disY);
  }
  //释放鼠标
 document.onmouseup = function(){
  document.onmouseover = null;
  document.onmouseup = null;
  }
}
//鼠标移动事件;
function fnMove (e,posX,posY){
  var oDrag = document.getElementById('loginPanel'),
      l = e.clientX-posX,
      t = e.clientY-posY,
      winW = document.documentElement.clientWidth || document.body.clientWidth,
   winH = document.documentElement.clientHeight || document.body.clientHeight;
   maxW = winW-oDrag.offsetWidth,
   maxH = winH-oDrag.offsetHeight;
 if(l&lt;0){
   l = 0;
 }else if(l&gt;maxW){
   l = maxW;
 }
 if(t&lt;0){
   t = 0;
 }else if(t&gt;maxH){
   t=maxH;
 }
  oDrag.style.left = l+'px';
  oDrag.style.top = t+'px';
}</pre>
<p><strong>第4章 抽奖系统</strong></p>
<p>&gt;1.键盘事件</p>
<p>&gt;&gt;1.keyDown:当用户按下键盘上的任意键时触发,而且如果按住不放的话,会重复触发此事件;<br />
&gt;&gt;2.keyPress:当用户按下键盘上的字符键时触发,而且如果按住不放的话,会重复触发此事件;<br />
&gt;&gt;3.keyUp:当用户释放键盘上的键时触发;</p>
<p>&gt;2.抽奖程序</p>
<pre>
var data = ['iPhone5','iPad','三星电脑','谢谢参与'],
    timer = null,
    flag = 0;
window.onload = function(){
  var play = document.getElementById('play'),
    stop = document.getElementById('stop');
  //(鼠标)开始抽奖
  play.onclick = palyFun;
  stop.onclick = stopFun;
  //(键盘Enter)开始抽奖
  document.onkeyup = function(event){
    event = event || window.event;
    if(event.keyCode == 13){
      if(flag == 0){
        palyFun();
        flag = 1;
      }else{
        stopFun();
        flag = 0;
      }
    }
  }
}
function palyFun(){
  var title = document.getElementById('title'),
    play = document.getElementById('play');
  //清除之前的定时器,放置定时器重复;
  clearInterval(timer);
　　　　//设置定时器;
  timer = setInterval(function(){
    //随机数*数组元素个数=数组随机索引;
    var random = Math.floor(Math.random()*data.length);
    title.innerHTML = data[random];
  },50);
  play.style.background = "#999";
}
function stopFun(){
  clearInterval(timer);
  var paly = document.getElementById('play');
  paly.style.background = '#036';
}</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索javascript<br />
                                    dom<br />
                                    javascript dom事件、javascript dom、javascript dom操作、javascript dom是什么、javascript dom编程，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 11:59:28</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/dom/" title="dom">dom</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JavaScript DOM事件(笔记)_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M92lAkp.html" rel="bookmark">深入理解JS DOM事件机制&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.事件流 html 元素触发事件的顺序. 2.事件冒泡IE的事件流叫做事件冒泡(event bubbling),即事件开始时由最具体的元素(文档中嵌套层次最深的那个节点)接收,然后逐级向上传播到较为不具体的节点(文档).3.事件捕获事件捕获的思想是不太具体的节点应该更早的接收到事件,而最具体的节点应该在最后接收到节点.事件捕获的用意在于事件到达预定目标之前捕获它. DOM事件流&quot;DOM2级事件流&quot;规定的事件流包括三个阶段:事件捕获阶段.处于目标阶段和冒泡阶段.首先发生的是事件捕获,为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1NNX9p.html" rel="bookmark">浅谈JavaScript之事件绑定&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				其实没有什么新的知识点,只是为了方便其他有需要的朋友们翻阅,对自己而言也算是一个积累,所以只能算是闲谈 JavaScript,老鸟们可以尽情飘过.在进入正题之前,先提个问题热热身吧.现在有如下 HTML 结构: 复制代码 代码如下: &lt;div id=&quot;wrap&quot;&gt; &lt;input type=&quot;button&quot; value=&quot;按钮一&quot; /&gt; &lt;input type=&quot;button&quot; value=&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmGAkz.html" rel="bookmark">JavaScript高级程序设计 DOM学习笔记&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第十章 DOM DOM是针对XML和HTML文档的一个API:即规定了实现文本节点操控的属性.方法,具体实现由各自浏览器实现. 1. 节点层次 1) 文档节点:document,每个文档的根节点. 2) 文档元素:即&lt;html&gt;元素,文档最外层元素,文档节点第一个子节点. 3) Node类型: ①Node是DOM中各种节点类型的基类型,共享相同的基本属性和方法. □ Node.Element_NODE(1); □ Node.ATTRIBUTE_NODE(2); □ Node.TEXT_NODE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdm8Bxz.html" rel="bookmark">JavaScript 模块化编程&lpar;笔记&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一直对JS都是一知半解,最近遇到这方面问题,所以在网上学习了一下,现在还没有完全明白,先贴出笔记; 第一章 JavaScript模块化编程 (一):模块的写法 一 原始写法// 模块就是实现特定功能的一组方法;只要把不同的函数(以及记录状态的变量)简单地放在一起,就算是一个模块;     function m1(){         // ...     }     function m2(){         // ...     } // 上面的函数m1()和m2(),组成一个模块;使用时直			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrYYvp.html" rel="bookmark">Pro JavaScript Techniques学习笔记&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				全局变量是Window对象属性的一部分,例子: 复制代码 代码如下: var test = 'test'; alert(window.test); 浏览器渲染和操作HTML的大致顺序: HTML解析完毕 外部脚本和样式表加载完毕 脚本在文档内解析并执行 HTML DOM完全构造起来 图片和外部内容加载 网页完成加载 所有的主流浏览器都实现了innerHTML属性,但是因为没有统一标准,所以或多或少会有一些怪异的bug. 基于Mozilla的浏览器在innerHTML声明中并不回会返回&lt;style			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBk9OoM.html" rel="bookmark">JavaScript自定义事件介绍&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很多DOM对象都有原生的事件支持,向div就有click.mouseover等事件,事件机制可以为类的设计带来很大的灵活性,相信.net程序员深有体会.随着web技术发展,使用JavaScript自定义对象愈发频繁,让自己创建的对象也有事件机制,通过事件对外通信,能够极大提高开发效率. 简单的事件需求 事件并不是可有可无,在某些需求下是必需的.以一个很简单的需求为例,在web开发中Dialog很常见,每个Dialog都有一个关闭按钮,按钮对应Dialog的关闭方法,代码看起来大概是这样 复制代码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPxrwDp.html" rel="bookmark">整理Javascript函数学习笔记&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么是函数 如果需要多次使用同一段代码,可以把它们封装成一个函数.函数(function)就是一组允许在你的代码里随时调用的语句.每个函数实际上是一个短小的脚本. 如:要完成多组数和的功能. var sum; sum = 3+2; alear(sum); sum = 7+8; alear(sum); ......//不停的重复两行代码 如果要实现8组数的和,就需要16行代码,实现的越多,代码行也就越多.所以我们可以把完成特定功能的代码块放到一个函数里,直接调用这个函数,就省去重复输入大量代码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgK1aAM.html" rel="bookmark">JavaScript DOM事件&lpar;笔记&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 第1章 事件流 1-1.事件冒泡:事件最开始由最具体的元素(文档中嵌套层次最深的那个节点)接收; 然后逐级向上传播至最不具体的那个节点(文档); 1-2.事件捕获:不太具体的节点应该更早接收到事件,而最具体的节点最后接收到事件; 第2章 事件处理程序 2-1 HTML事件处理程序 //缺点:HTML和JS代码紧密的耦合在一起; 1 &lt;input type=&quot;button&quot; value=&quot;按钮&quot; onclick=&quot;showMessage()&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmlLXz.html" rel="bookmark">Javascript 注册事件浅析&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先是最常规的方法: test [Ctrl+A 全选 注:如需引入外部Js需刷新才能执行] 当某一天,我们知道JavaScript要跟HTML结构实现分离后,就会改了一种写法: test [Ctrl+A 全选 注:如需引入外部Js需刷新才能执行] 当我们工作越来越久后,有时候我们需要对某个元素绑定多个相同的事件类型: test [Ctrl+A 全选 注:如需引入外部Js需刷新才能执行] 如果按照上面的写法,我们只能输出第二个函数. 这时候我们需要用到attachEvent方法: test [Ct			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b32Vkz.html" rel="bookmark" class="title">如何用sift的算法，把三个图像拼接成一个图像？跪求源代码</a>
					<div>
						问题描述 如何用sift的算法,把三个图像拼接成一个图像?跪求源代码 如何用sift的算法,把三个图像拼接成一个图像?可以用opencv,只需要拼接成一个完整图像 解决方案 http://www.pu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlYqDp.html" rel="bookmark" class="title">Google官方解释：网站PR值真的没那么重要</a>
					<div>
						很多网站运营者都非常关注他们网站的网页级别PR值(Google PageRank)值大小,有的甚至将网站PR值与搜索引擎优化效果直接划上等号.其实这是对网站PR值的误解.根据Google官方的解释:网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMykLvz.html" rel="bookmark" class="title">不换友情链一个月排名大突破的五个原因</a>
					<div>
						Seo这行大多数都是用友情链接来带动排名,尤其是完全相关性的友情链接,佛山清风网站建设团队为了打造品牌在初始设计网站内部结构的时候就考虑过这个问题,为了避免链接的牵涉强权,更证明说明佛山清风seo团队 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXnkvb.html" rel="bookmark" class="title">如何使用CppUnit进行单元测试</a>
					<div>
						一.前言 测试驱动开发(TDD)是以测试作为开发过程的中心,它坚持,在编写实际 代码之前,先写好基于产品代码的测试代码.开发过程的目标就是首先使测试能够通过,然 后再优化设计结构.测试驱动开发式是极限 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW120rz.html" rel="bookmark" class="title">添加静态路由实现PC机通过web浏览器访问Server机上的网页</a>
					<div>
						2012年下半年下午软考网工考试有一道配置静态路由的题目,现在想把这方面的知识点温故一下,静态路由的配置中的难点就是要搞清楚访问的目标网络和经过的下一跳网络地址,这个必须搞明白,我想参加过软考网工考试 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR0Xnz.html" rel="bookmark" class="title">实际可用性：软件外观</a>
					<div>
						欢迎阅读&quot;实际可用性&quot;.本文是系列专栏文章的第一篇,该系列重点介绍用户体验 (UX) 的设计.过去,在大多数开发项目中,都不会优先考虑用户体验,但现在不同了.现在,最终用户有丰富的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxP7kRM.html" rel="bookmark" class="title">C&plus;&plus;启蒙之C&plus;&plus;中的类</a>
					<div>
						在解决我们的书店问题之前,我们需要理解的唯一的剩余问题是如何编写一个数据结构(data structure)来表示我们的事务数据.在C++中我们通过定义类(class)来定义自己的数据结构.类机制是C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P9x6M.html" rel="bookmark" class="title">Photoshop打造一款漂亮的天气图标</a>
					<div>
						看似简单的图片,制作过程却不简单.需要比较综合的图片制作功底.如图标中的阳光及云彩等都需要自己手绘出来.制作的时候需要有耐心. 最终效果 1.新建画布,参数设置如下图,填充一个渐变颜色.分类: PS入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj41lb.html" rel="bookmark" class="title">四类特殊IP地址</a>
					<div>
						1.直接广播地址:X.X.X.255(ip最后一位为255)2.受限广播地址:255.255.255.255(全四位为255) 这个子网网络只有一个IP地址,代表主机. 在路由方面是全匹配,只能匹配一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEdoop.html" rel="bookmark" class="title">编程-安卓，可循环滑动的图片，不显示标示哪张图的小点，求大神来帮忙</a>
					<div>
						问题描述 安卓,可循环滑动的图片,不显示标示哪张图的小点,求大神来帮忙 contentmain.xml: &lt;?xml version=&quot;1.0&quot; encoding=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6oXNb.html" rel="bookmark" class="title">支付宝体验设计精髓&period; 02 无规矩不成方圆</a>
					<div>
						02 无规矩不成方圆 -设计规范的建设 文/ 周建波.朱兰民 第1节 规矩成就方圆 孟子曰:离娄之明,公输子之巧,不以规矩,不能成方圆.-&lt;孟子&gt; 设计规范是用户体验的最低标准!-吴明 支 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN73QPp.html" rel="bookmark" class="title">listview-android下拉刷新和侧滑删除冲突</a>
					<div>
						问题描述 android下拉刷新和侧滑删除冲突 android下拉刷新和侧滑删除冲突,哪位大神有解决的方案吗?感激不尽 解决方案 控制下事件的分发,如果不了解的话,可以上网查查Android事件分发机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjOZep.html" rel="bookmark" class="title">电子&plus;硬件&plus;单片机-MPU6050可以持续工作多长时间？？？？有人知道吗</a>
					<div>
						问题描述 MPU6050可以持续工作多长时间????有人知道吗 我是晚上开机放着,到第二天早上发现MPU6050死机了,LCD读数没有变化,串口没有数据接收...还有一次是放了大概4小时,Roll角从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjvR7M.html" rel="bookmark" class="title">关于java问题-麻烦大家帮我看看。急。。。谢谢</a>
					<div>
						问题描述 麻烦大家帮我看看.急...谢谢 间的所有的可逆素数//要求步骤,即一个步骤对于一个方法://1.找到1001~9999之间的所有的素数,保存到数组primes中//2.在primes数组中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKOONb.html" rel="bookmark" class="title">Hadoop项目实战－用户行为分析之编码实践</a>
					<div>
						1.概述 本课程以用户行为分析案例为基础,带着大家去完成对各个KPI的编码工作,以及应用调度工作,让大家通过本课程掌握Hadoop项目的编码.调度流程.下面我们来看看本课程有哪些课时,如下图所示: 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RA9Bb.html" rel="bookmark" class="title">Android 仿美团网&comma;大众点评购买框悬浮效果</a>
					<div>
						http://blog.csdn.net/xiaanming/article/details/17761431 如果快速滑动界面,显示悬浮框的时候会出现一卡的现象,有些朋友说有时候会出现两个布局的情况 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRa2Ab.html" rel="bookmark" class="title">马云：你一定要在很赚钱的时候去融资</a>
					<div>
						图为马云 旨在帮助中小企业破除融资瓶颈的&quot;2010四川中小企业融资峰会&quot;今日在成都召开,在峰会召开前夕,作为本报发起成立的&quot;华西创业导师团&quot;的团长,阿里巴巴集团 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1231xp.html" rel="bookmark" class="title">Android开发性能优化总结&lowbar;Android</a>
					<div>
						一. 加载 预加载:1.反射注解框架Reflect信息,在Application内多线程预加载至缓存.2.资源预加载 懒加载:1.Fragment懒加载2.资源懒加载 二. 缓存 1. Http缓存, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyrL2z.html" rel="bookmark" class="title">求助，登录环信后，app进入后台。这个notification一直存在。</a>
					<div>
						问题描述 求助,登录环信后,app进入后台.这个notification一直存在,进入app又消失.不知**设置 解决方案 自己设置的,通知自己写,sdk不处理这个解决方案二:来,你的用的demo吗, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgLlKM.html" rel="bookmark" class="title">hibernate 如何插入数据到多对多的中间表中</a>
					<div>
						问题描述 hibernate 如何插入数据到多对多的中间表中 hibernate 如何插入数据到多对多的中间表中 关联表已经存在,只是需要在中间表中插入数据 解决方案 全靠自动不用手动,在配置文件里配 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRvLop.html" rel="bookmark" class="title">百度取消传统竞价排名</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 百度12月1号取消经典版竞价排名的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22Krvb.html" rel="bookmark" class="title">在ViewPart里面绘制实时显示的曲线，如何实现刷新</a>
					<div>
						问题描述 创建了一个类继承了ViewPart,想要在里面绘制实时的曲线,现在的情况是没有实现刷新,只能每次进到属性页以后,或者滚动条拉动以后曲线才会变化,请问如何刷新属性页,绘制出实时变化的曲线. 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8R5ob.html" rel="bookmark" class="title">docker中mysql初始化及启动失败问题解决方案&lowbar;docker</a>
					<div>
						最近做项目,遇到这样问题,docker 中的mysql 不能启动,经过上网查资料,终于解决了这个问题,这里记录下,也许还能帮助到大家,  在docker中有一个mysql服务,其数据文件是挂在在主机外 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jnLVp.html" rel="bookmark" class="title">PHP获取文件绝对路径的代码&lpar;上一级目录&rpar;&lowbar;php技巧</a>
					<div>
						PHP获取文件绝对路径 复制代码 代码如下: &lt;?php echo __FILE__ ; // 取得当前文件的绝对地址,结果:D:\www\test.php echo dirname(__FIL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKae5z.html" rel="bookmark" class="title">求和-如何将两个字符数组里的数字相加得出两组数的和</a>
					<div>
						问题描述 如何将两个字符数组里的数字相加得出两组数的和 char a[1000],b[1000] 两个数组里都是数字 解决方案 void Add(char a[],char b[],char d[]) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8NB0b.html" rel="bookmark" class="title">ChromeWebBrowser&period;net 浏览器控件点击方法怎么没反应</a>
					<div>
						问题描述 测试页面:www.baidu.com测试ChromeWebBrowser.net源码自带的控件方法时:privatevoidclickToolStripMenuItem_Click(obje ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJe7dqp.html" rel="bookmark" class="title">java中从txt文档中提取出来的内容可以在控制台输出，但不能写入到另一个txt文档中</a>
					<div>
						问题描述 java中从txt文档中提取出来的内容可以在控制台输出,但不能写入到另一个txt文档中 import java.io.BufferedReader; import java.io.Buffe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0kqdM.html" rel="bookmark" class="title">如何写出漂亮的React组件</a>
					<div>
						在Walmart Labs的产品开发中,我们进行了大量的Code Review工作,这也保证了我有机会从很多优秀的工程师的代码中学习他们的代码风格与样式.在这篇博文里我会分享出我最欣赏的五种组件模式与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWGLNp.html" rel="bookmark" class="title">淘宝&OpenCurlyDoubleQuote;一元拍&rdquo;20件玉器18件仿制</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/79 250.html&quot;&gt;本报记者万静 北京律师董正伟近日向国家工商总局递交的&quot;淘宝网 假冒伪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLB7mRb.html" rel="bookmark" class="title">linux系统中优化Mysql的运行环境方法</a>
					<div>
						一.修改Linux默认的IO调度算法. linux默认的IO调度算法为cfq,需要修改为dealine,如果是SSD或者PCIe-SSD设备,需要修改为noop,可以使用下面两种修改方式. 1.在线动 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
